#include "K41CurseAbility.h"
#include "Net/UnrealNetwork.h"

void UK41CurseAbility::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK41CurseAbility, _mushroomPoolComponentInstance);
}

UK41CurseAbility::UK41CurseAbility()
{
	this->_closestMushroomDetectionStatusEffectClass = NULL;
	this->_mushroomPoolComponentClass = NULL;
}
